# $Revision: 1.41 $, $Date: 2006/03/02 22:39:12 $
#
# Conditional build:
%bcond_with	ipv6	# - with IPv6 support

Summary:	Old "jabber.org" Jabber server daemon
Summary(pl):	Stary serwer Jabbera "z jabber.org"
Name:		jabberd14
Version:	1.4.3.1
Release:	2
License:	distributable
Group:		Applications/Communications
Source0:	http://jabberd.jabberstudio.org/1.4/dist/jabberd-1.4.3.tar.gz
# Source0-md5:	a3e964d6fa07b5d850302ae0512f94c6
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-mod_stats.patch
Patch2:		%{name}-register-deny_new.patch
Patch3:		%{name}-browse.patch
Patch4:		%{name}-detach_from_terminal.patch
Patch5:		%{name}-opt.patch
# Patch6:	http://devel.amessage.info/jabberd14/jabberd-1.4.3.1.diff.bz2
Patch6:		%{name}-1.4.3.1.patch
URL:		http://jabberd.jabberstudio.org/1.4/
BuildRequires:	expat-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pth-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires:	jabber-common
Requires:	rc-scripts
Obsoletes:	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jabber is an XML-based, client-server, open-source presence and
messaging system that uses a network of distributed servers to pass
data between servers and ultimately to Jabber clients.

This package contains old version of JSF jabberd Jabber server
software, mainly for use with some old Jabber services.

%description -l pl
Jabber to oparty o XML, architektur klient-server oraz filozofi
open-source system powiadamiania, ktry wykorzystuje rozproszon sie
serwerw, do przekazywania danych pomidzy nimi i klientami Jabber.

Ten pakiet zawiera star wersj jabberd, gwnie na potrzeby starszych
serwisw Jabbera.

%package server
Summary:	jabberd-1.4 based Jabber server
Summary(pl):	Serwer Jabbera oparty o jabberd-1.4
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	jabber

%description server
Jabber server based on jabberd v. 1.4.x.

%description server -l pl
Serwer Jabbera oparty o jabberd-1.4.

%package devel
Summary:	Header and library files for jabberd14 component development
Summary(pl):	Pliki nagwkowe i biblioteki dla komponentw jabberd14
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel
Requires:	openssl-devel >= 0.9.7d
Requires:	pth-devel

%description devel
This package provides the files necessary to develop jabberd-1.4.x
extensions.

%description devel -l pl
Ten pakiet zawiera pliki niezbdne do tworzenia rozszerze serwera
jabberd-1.4.x.

%prep
%setup -qn jabberd-1.4.3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
JHOME="%{_localstatedir}/lib/%{name}"; export JHOME
%configure \
	--enable-ssl \
	--%{?with_ipv6:enable}%{?!with_ipv6:disable}-ipv6

%{__make} \
	CC="%{__cc}" \
	CCFLAGS="%{rpmcflags} -Wall -I. -I.. -I/usr/include/openssl -DHAVE_SSL -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/jabber,%{_sbindir},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/spool \
	$RPM_BUILD_ROOT{/var/log/%{name},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT%{_includedir}/%{name}/lib

install jabberd/jabberd $RPM_BUILD_ROOT%{_sbindir}/%{name}
sed -e 's,@libdir@,%{_libdir},g' jabber.xml > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabberd14.xml
install xdb_file/xdb_file.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install pthsock/pthsock_client.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install jsm/jsm.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install dialback/dialback.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install dnsrv/dnsrv.so $RPM_BUILD_ROOT%{_libdir}/%{name}
install jabberd/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}
install jabberd/lib/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/lib
install platform-settings $RPM_BUILD_ROOT%{_libdir}/%{name}/
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post server
/sbin/chkconfig --add %{name}
%service %{name} restart "Jabber server"

%preun server
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README UPGRADE pthsock/README*
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(771,root,jabber) %{_localstatedir}/lib/%{name}
%attr(770,root,jabber) /var/log/%{name}

%files server
%defattr(644,root,root,755)
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*.xml
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/%{name}/platform-settings

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabberd14.spec,v $
Revision 1.41  2006/03/02 22:39:12  glen
- use %service, empty %postun dropped, adapterized

Revision 1.40  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.39  2005/06/09 10:08:28  qboosh
- pl desc for -server, changed jabber-common dep to PreReq

Revision 1.38  2005/06/09 00:18:56  zbyniu
- R: pth-devel in -devel; sorted verify() flags

Revision 1.37  2005/06/09 00:04:44  zbyniu
- BR: expat-devel, R: expat-devel, openssl-devel in -devel
- rel 2, STBR

Revision 1.36  2004/10/18 12:27:04  jajcus
- forgot to remove TODO entry -- it was fixed by the last commit

Revision 1.35  2004/10/18 09:01:01  jajcus
- patched to Version: 1.4.3.1 (security fix for bug #956)

Revision 1.34  2004/09/28 21:23:03  blues
- SECURITY note

Revision 1.33  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.32  2004/01/03 11:30:05  jajcus
- Version: 1.4.3

Revision 1.31  2003/12/11 15:54:38  undefine
- release 2 to rebuild with ac

Revision 1.30  2003/10/13 13:04:21  qboosh
- added opt flags, pass optflags

Revision 1.29  2003/09/30 20:18:24  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.28  2003/09/16 11:26:44  jajcus
- common environmet for jabber services in the jabber-common package

Revision 1.27  2003/09/15 12:30:39  jajcus
- don't remove jabber user and group (until I get a better idea) - it may be
  still used by jabberd
- sources renumbered

Revision 1.26  2003/09/14 17:35:44  jajcus
- package renamed from "jabber" to "jabberd14"
- files needed to start a server moved to "server" subpackage

Revision 1.25  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.24  2003/08/22 15:01:54  ankry
- attributr fix

Revision 1.23  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.22  2003/05/28 12:59:12  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/07 10:50:20  jajcus
- Patched to support the active version of JEP-11 (browse)
- Release: 7

Revision 1.19  2003/04/29 13:36:03  jajcus
- JEP-0030: "Service Discovery" patch added
- JEP-0039: "Statistics Gathering" patch added
- Patch which allows disabling registration without disabling password change added
- Release: 6

Revision 1.18  2003/04/17 12:54:54  jajcus
- 2 more patches from CVS: allow_sslonly.patch xdbcache_lock.patch
- Release: 5

Revision 1.17  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.16  2003/02/07 09:25:10  jajcus
- IPv6 disabled by default (IPv6 is not working very well and this could cause
problems with sites with both IPv4 and IPv6 addresses)

Revision 1.15  2003/02/07 09:22:07  jajcus
- patches from jabberd CVS added
- conditional IPv6 support (enabled by default)

Revision 1.14  2003/02/07 09:03:47  jajcus
- Release: 4

Revision 1.13  2002/06/07 16:35:17  jajcus
- Release: 3
- minor security fix, prevents DoS attact against jabber server

Revision 1.12  2002/05/28 06:23:44  kloczek
- use new %doc.

Revision 1.11  2002/05/28 06:02:28  jajcus
- Release: 2; STBR

Revision 1.10  2002/04/25 16:38:16  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/09 15:51:37  kloczek
- spec adapterized and some cosmetics.

Revision 1.7  2002/02/08 21:12:11  serek
- updated to long awaiting 1.4.2 version, STBR.

Revision 1.6  2002/02/08 16:03:40  jajcus
- s/jabber/jabberd/ in libdir nad sysconfdir

Revision 1.5  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/26 10:37:16  jajcus
- updates for new init script

Revision 1.3  2001/12/20 19:25:54  jajcus
- fixes for building modules in other packages

Revision 1.2  2001/12/20 10:01:10  qboosh
- cosmetics, pl spelling

Revision 1.1  2001/12/19 20:21:48  jajcus
- initial spec
